using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Core.Mes.ClientFrameWork;
using Core.Mes.IBaseInterface;
using System.Data;
using System.Runtime.InteropServices;
using Core.XgMes.Client.JGKC.TurnoffSendManager;

namespace Core.XgMes.Client.JGKC.MaterialManager
{
    public partial class FrmProvlderDialog : Mes.ClientFrameWork.FrmBase
    {
        public string strgfdm = "";
        public string strgfmc = "";
        public FrmProvlderDialog()
        {
            InitializeComponent();
        }


        public void Init()
        {
            string err = "";
            string sql = "SELECT PROVIDER_CODE,PROVIDER_NAME  "

                + "FROM PROVIDER_MANAGER WHERE 1=1 "
                ;

            DataSet ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("BJZWStuff", "Core.XgMes.Server.JGKC.SteelPlateManager.Common", "GetDataSet", new object[] { sql }, out err);
            if (err == "")
            {
                ultraGrid1.DataSource = ds;
            }
        }

        private void btrqr_Click(object sender, EventArgs e)
        {
            
            Infragistics.Win.UltraWinGrid.UltraGridRow row = ultraGrid1.ActiveRow;
            if (row.Selected) return;
            strgfdm = row.Cells["PROVIDER_CODE"].Value.ToString();
            strgfmc = row.Cells["PROVIDER_NAME"].Value.ToString();
            this.Close();
        

        }

        private void FrmProvlderDialog_Load(object sender, EventArgs e)
        {
            Init();
        }
    }
}